=== debian/changelog ===
libvdpau-va-gl (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version.
  * Ensure we compile with -DNDEBUG as this displays many verbose messages.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2013 17:50:56 +0100

libvdpau-va-gl (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 01 Nov 2013 10:04:40 +0100

libvdpau-va-gl (0.1.0-2) unstable; urgency=low

  * Add multiarch support. Closes: #719617.

 -- Vincent Bernat <bernat@debian.org>  Tue, 13 Aug 2013 18:30:07 +0200

libvdpau-va-gl (0.1.0-1) unstable; urgency=low

  * New upstream release.
      + Switch to versioned tarballs as source.
  * Add a debian/watch file.
  * Depends on debhelper 8.1.3 to use compatibility level 9.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Aug 2013 08:29:45 +0200

libvdpau-va-gl (0+git20130616.b36186e2b3-1) unstable; urgency=low

  * Initial release. Closes: #712035.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2013 08:19:46 +0200
