=== debian/changelog ===
libvdpau-va-gl (0.3.4-3) unstable; urgency=medium

  * Don't pollute stdout. Closes: #780228.
     + debian/patches/43.patch
  * Bump Standards-Version.
  * Use an unique License block in debian/copyright.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jul 2015 09:49:12 +0200

libvdpau-va-gl (0.3.4-2) unstable; urgency=medium

  * Add Depends/Enhances: libvdpau1 and Provides: vdpau-driver to match
    other driver packages. Closes: #765975.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Oct 2014 21:26:42 +0200

libvdpau-va-gl (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Add an horible hack to not use dpkg-architecture.
    Closes: #737371.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Feb 2014 14:26:21 +0100
