=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), git, cmake,
                libvdpau-dev, libva-dev,
                libglib2.0-dev,
@@ -15,7 +15,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdpau1
+Enhances: libvdpau1
+Provides: vdpau-driver
 Description: VDPAU driver with OpenGL/VAAPI backend
  Many applications can use VDPAU to accelerate portions of the video
  decoding process and video post-processing to the GPU video
