=== debian/changelog ===
libvdpau-va-gl (0.3.6-1) unstable; urgency=medium

  * New upstream version.
     + Remove all patches, applied upstream.
  * Bump Standards-Version.
  * Update Vcs-* fields in d/control.

 -- Vincent Bernat <bernat@debian.org>  Wed, 02 Mar 2016 19:51:57 +0100
