=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libvdpau-va-gl-$1.tar.gz/ \
  https://github.com/i-rinat/libvdpau-va-gl/tags .*/v?(\d\S*)\.tar\.gz
