## libvdpau-va-gl 0.4.0

=== debian/changelog ===
libvdpau-va-gl (0.4.0-2) unstable; urgency=medium

  * Add upstream patch to fix a memory leak. Closes: #820822.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jul 2016 08:17:10 +0200

libvdpau-va-gl (0.4.0-1) unstable; urgency=medium

  * New upstream version.
     + Fix fullscreen problem with VLC. Closes: #819453.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Jun 2016 15:59:16 +0200
