=== debian/changelog ===
libvdpau-va-gl (0.4.2-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Helmut Grohne ]
  * Fix FTCBFS: Build shader-bundle-tool with the build architecture
    compiler. (Closes: #1018008)

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Aug 2022 07:39:09 +0200

libvdpau-va-gl (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop all patches, applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Fri, 07 Oct 2016 10:56:46 +0200
