=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), git, cmake,
                libvdpau-dev, libva-dev,
                libglib2.0-dev,
                libswscale-dev, libgl1-mesa-dev, libglu1-mesa-dev
 Homepage: https://github.com/i-rinat/libvdpau-va-gl
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libvdpau-va-gl.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvdpau-gl-va.git
+Vcs-Browser: https://salsa.debian.org/debian/libvdpau-va-gl
+Vcs-Git: https://salsa.debian.org/debian/libvdpau-va-gl.git
 
 Package: libvdpau-va-gl1
 Architecture: any
