=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG

%:
	dh $@

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	$(CXX_FOR_BUILD) glsl/shader-bundle-tool.cc -o debian/shader-bundle-tool
	dh_auto_configure -- -DSHADER_BUNDLE_TOOL_EXECUTABLE=$(CURDIR)/debian/shader-bundle-tool
endif

override_dh_auto_test:
	# Cannot run tests without a X11 server (with VAAPI support)

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/libvdpau-va-gl1/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libvdpau-va-gl1/usr/lib/vdpau \
		debian/libvdpau-va-gl1/usr/lib/$(DEB_HOST_MULTIARCH)/.
