## libvdpau-va-gl 0.4.2.1

=== debian/changelog ===
libvdpau-va-gl (0.4.2.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 19c9cf216b445bb3b57d3b45cdb46b04f1243cb3']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 20:04:27 +0000
